Package com.independentsoft.office.diagrams

# Class Constraint

java.lang.Object
com.independentsoft.office.diagrams.Constraint

public class Constraint extends Object
The Class Constraint.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constraint()`
  Instantiates a new constraint.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Constraint`
  `clone()`
  `BooleanOperator`
  `getBooleanOperator()`
  Gets the boolean operator.
  `double`
  `getFactor()`
  Gets the factor.
  `ConstraintRelationship`
  `getForConstraint()`
  Gets the for constraint.
  `String`
  `getForName()`
  Gets the for name.
  `ElementType`
  `getPointType()`
  Gets the point type.
  `ConstraintRelationship`
  `getReferenceFor()`
  Gets the reference for.
  `String`
  `getReferenceForName()`
  Gets the reference for name.
  `ElementType`
  `getReferencePointType()`
  Gets the reference point type.
  `ConstraintType`
  `getReferenceType()`
  Gets the reference type.
  `ConstraintType`
  `getType()`
  Gets the type.
  `double`
  `getValue()`
  Gets the value.
  `void`
  `setBooleanOperator​(BooleanOperator booleanOperator)`
  Sets the boolean operator.
  `void`
  `setFactor​(double factor)`
  Sets the factor.
  `void`
  `setForConstraint​(ConstraintRelationship forConstraint)`
  Sets the for constraint.
  `void`
  `setForName​(String forName)`
  Sets the for name.
  `void`
  `setPointType​(ElementType pointType)`
  Sets the point type.
  `void`
  `setReferenceFor​(ConstraintRelationship referenceFor)`
  Sets the reference for.
  `void`
  `setReferenceForName​(String referenceForName)`
  Sets the reference for name.
  `void`
  `setReferencePointType​(ElementType referencePointType)`
  Sets the reference point type.
  `void`
  `setReferenceType​(ConstraintType referenceType)`
  Sets the reference type.
  `void`
  `setType​(ConstraintType type)`
  Sets the type.
  `void`
  `setValue​(double val)`
  Sets the value.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Constraint

    public Constraint()
    Instantiates a new constraint.

- ## Method Details

  - ### clone

    public Constraint clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFactor

    public double getFactor()
    Gets the factor.
    Returns:
      the factor

  - ### setFactor

    public void setFactor​(double factor)
    Sets the factor.
    Parameters:
      `factor` - the new factor

  - ### getForConstraint

    public ConstraintRelationship getForConstraint()
    Gets the for constraint.
    Returns:
      the for constraint

  - ### setForConstraint

    public void setForConstraint​(ConstraintRelationship forConstraint)
    Sets the for constraint.
    Parameters:
      `forConstraint` - the new for constraint

  - ### getForName

    public String getForName()
    Gets the for name.
    Returns:
      the for name

  - ### setForName

    public void setForName​(String forName)
    Sets the for name.
    Parameters:
      `forName` - the new for name

  - ### getBooleanOperator

    public BooleanOperator getBooleanOperator()
    Gets the boolean operator.
    Returns:
      the boolean operator

  - ### setBooleanOperator

    public void setBooleanOperator​(BooleanOperator booleanOperator)
    Sets the boolean operator.
    Parameters:
      `booleanOperator` - the new boolean operator

  - ### getPointType

    public ElementType getPointType()
    Gets the point type.
    Returns:
      the point type

  - ### setPointType

    public void setPointType​(ElementType pointType)
    Sets the point type.
    Parameters:
      `pointType` - the new point type

  - ### getReferenceFor

    public ConstraintRelationship getReferenceFor()
    Gets the reference for.
    Returns:
      the reference for

  - ### setReferenceFor

    public void setReferenceFor​(ConstraintRelationship referenceFor)
    Sets the reference for.
    Parameters:
      `referenceFor` - the new reference for

  - ### getReferenceForName

    public String getReferenceForName()
    Gets the reference for name.
    Returns:
      the reference for name

  - ### setReferenceForName

    public void setReferenceForName​(String referenceForName)
    Sets the reference for name.
    Parameters:
      `referenceForName` - the new reference for name

  - ### getReferencePointType

    public ElementType getReferencePointType()
    Gets the reference point type.
    Returns:
      the reference point type

  - ### setReferencePointType

    public void setReferencePointType​(ElementType referencePointType)
    Sets the reference point type.
    Parameters:
      `referencePointType` - the new reference point type

  - ### getReferenceType

    public ConstraintType getReferenceType()
    Gets the reference type.
    Returns:
      the reference type

  - ### setReferenceType

    public void setReferenceType​(ConstraintType referenceType)
    Sets the reference type.
    Parameters:
      `referenceType` - the new reference type

  - ### getType

    public ConstraintType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(ConstraintType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getValue

    public double getValue()
    Gets the value.
    Returns:
      the value

  - ### setValue

    public void setValue​(double val)
    Sets the value.
    Parameters:
      `val` - the new value